Hi,

I've searched the FAQ and Archives, and found no posts related to this particular issue.  Which is:

When I install Twisted in the site-packages for Jython 2.2a1 on Win XP,  I get :
TypeError: unhashable instance
coming from the Zope interface.

This is after adjusting  Lib/site.py  so that sitedirs also points to Lib\site-packages.

Of course the same package imports directly into Python.

Any ideas why this might be?  How can I get Twisted to work in Jython?

Thanks in advance.

N.B. I cross-posted this to Twisted, just in case ...

Stephen Nightingale.




To help you stay safe and secure online, we've developed the all new Yahoo! Security Centre.